ML
Endpoints
- post
/ai/text-to-cad/{output_format}deprecatedGenerate a CAD model from text. - get
/ml/conversationsList conversations - post
/ml/convert/proprietary-to-kclConverts a proprietary CAD format to KCL. - post
/ml/custom/modelsCreate a custom ML model that is backed by one or more org datasets. - get
/ml/custom/models/{id}Retrieve the details of a single custom ML model so long as it belongs to the caller’s organization. - put
/ml/custom/models/{id}Update mutable metadata (name, system prompt) for a custom ML model owned by the caller's organization. - get
/ml/custom/models/{id}/datasetsList the org datasets that are currently attached to a custom ML model owned by the caller’s organization. - post
/ml/kcl/completionsGenerate code completions for KCL. - post
/ml/text-to-cad/iterationdeprecatedIterate on a CAD model with a prompt. - post
/ml/text-to-cad/multi-file/iterationdeprecatedIterate on a multi-file CAD model with a prompt. - get
/user/text-to-cadList text-to-CAD parts you've generated. - get
/user/text-to-cad/{id}Get a text-to-CAD response. - post
/user/text-to-cad/{id}Give feedback to a specific ML response. - get
/ws/ml/copilotOpen a websocket to prompt the ML copilot. - get
/ws/ml/reasoning/{id}Open a websocket to prompt the ML copilot.